A suggestion needed

Found a bug? Tell us!!
Post Reply
Andrian
Posts: 4
Joined: Sun Feb 05, 2017 8:43 am

A suggestion needed

Post by Andrian » Sun Feb 05, 2017 9:21 am

Hello everybody
I hope everything is fine with you.
I've got a problem.
I installed some plug in something like "Tagging of entries" or something I don't know, I cannot check cause my site is down. It was there quiet a while.
After that I decided to open new category and realized that every link from the list of categories on that page leads me to the start page
After finding out that the plug in is kinda useless to me I was trying to deactivate it and realized that Side bare Categories began to return error, it just stopped to show me the list of categories.
I activated it again and after that the site started working extremely slow until server began to return Error 500.
So now I cannot open my site neither from start page nor from admin's page. Apparently this plug in messed everything up.
I was trying to do upgrade but it didn't help. I called to 1&1 support, they restored the site to some previous date but it still return Error 500. They said they cannot help with that because the issue is away from their scope.
I managed to do dump of data base and saved a copy of serendipity files but I'm not sure it might help because I did it after this plug in was installed.
So..I would greatly appreciate any help that could bring my site back to life.
Maybe I could install another serendipity in different directory and transfered some files from old one with importing db dump? Can it work this way? I just don't want to do any unnecessary move and kill the site completely.
Thank you gentlemen.
Oh, if you suggest some coding please be very specific, I'm kinda nubby it the business.
Serendipity 2.0.5
I do have access to the files through FTP and can open control panel, but that's about it.

Andrian
Posts: 4
Joined: Sun Feb 05, 2017 8:43 am

Re: A suggestion needed

Post by Andrian » Sun Feb 05, 2017 12:44 pm

Ok, everybody, I fixed it :)
I changed php from 7 back to 5.6.30 on s9y 2.1-rc1 and it started smiling to me again.
I still don't understand how this tagging works, though
Anyway, thank you for willing to help.
Be blessed everyone!

User avatar
onli
Regular
Posts: 2115
Joined: Tue Sep 09, 2008 10:04 pm
Contact:

Re: A suggestion needed

Post by onli » Sun Feb 05, 2017 1:59 pm

The tagging is supposed to be quite simple. In the entry editor, you can click at the top right at the tagging-button, and you will have an input in an overlay where you can give some tags to the article. Those tags will be shown below the article in the frontend, and if you click on it you should come to an overview page where all articles with the same tags are listed. The same as with a category.
Andrian wrote:I changed php from 7 back to 5.6.30 on s9y 2.1-rc1 and it started smiling to me again.
That's a bit strange. 2.1-rc1 should work perfectly fine with PHP 7, at the very least with PHP 7.0. And they work for me, with PHP 7.0, see https://www.onli-blogging.de/plugin/tag/serendipity. It might be a configuration error, is the baseURL in the configuration correct? Are the rewrite-rules activated, and do they work fine?

Andrian
Posts: 4
Joined: Sun Feb 05, 2017 8:43 am

Re: A suggestion needed

Post by Andrian » Mon Feb 06, 2017 8:38 am

It is strange!
I realized that my PHP had ver.7.0 when I was trying to downgrade s9y in order to catch a working configuration (as I said I'm not a programmer, so I use a method of scientific kick). I was positive that my site is on PHP5.6, but apparently it was changed and maybe that's why I got in all this mess.
Well, after manual uploading ver. 2.0.2 to s9y folder I got some success, the site began to open, but admin page still was unavailable (which means the upgrade wasn't done, I just replaced files in root directory and it began to open)
And when I realized that I'm sitting on PHP7, I tried to install 2.1-rc1 (why not, after all?). But I still couldn't start installation since admin page returned "CRITICAL ERROR" (something related to header which couldn't be called in line 6xx because it already was called in the line 4xx, and also something with browsing compatibility command, it didn't match to the same command in another line and something about procedures that were changed, I don't know, for me it sounds like Hebrish)
So after giving a try with 2.1 I still got error back on admin page and then I decided to try a downgrade of PHP to ver.5.6.30. As soon as I opened the admin page after that I instantly got welcome invitation, checking process was done just in a moment and everything was back to normal in a matter of seconds.
That's how the battle went.
Now the site looks as it should. Maybe some day I will learn how to modify pages ( that's what I really miss in s9y 1.78, the option of modifying the page in plain language), and then it will look just outstanding I believe! :)
(www.predvidenie.com - in Russian)

User avatar
onli
Regular
Posts: 2115
Joined: Tue Sep 09, 2008 10:04 pm
Contact:

Re: A suggestion needed

Post by onli » Mon Feb 06, 2017 2:16 pm

Okay. At least it is working now, I would stay with that for a while. If you run anew into the problems later on, copy the error messages and post them here or in another thread. We'll try to help, and should at least be able to describe what is going wrong.

Andrian
Posts: 4
Joined: Sun Feb 05, 2017 8:43 am

Re: A suggestion needed

Post by Andrian » Tue Feb 07, 2017 7:19 am

I will stay with this, it works and I'm happy.
You're right, I should make a record of all my steps and messages I got there. Next time I'll certainly do that.
And another funny thing I've got - now I have an invitation on admin page to upgrade the latest version 2.0.5 (even though I have 2.1-rc1). Is this how it suppose to be? Because earlier, when I had 2.0.5, it proposed to upgrade to 2.1- beta1..

User avatar
onli
Regular
Posts: 2115
Joined: Tue Sep 09, 2008 10:04 pm
Contact:

Re: A suggestion needed

Post by onli » Tue Feb 07, 2017 1:25 pm

Andrian wrote:now I have an invitation on admin page to upgrade the latest version 2.0.5 (even though I have 2.1-rc1). Is this how it suppose to be?
No, that should not happen. The notification should only present you a newer version.

Post Reply